Bug 213173 - libtag.a is missing in the taglib-devel package
libtag.a is missing in the taglib-devel package
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: taglib (Show other bugs)
6
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Aurelien Bompard
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-30 20:41 EST by Sergey Bostandzhyan
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-31 03:56:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sergey Bostandzhyan 2006-10-30 20:41:24 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.0.7) Gecko/20060913 Fedora/1.5.0.7-1.fc5 Firefox/1.5.0.7 pango-text

Description of problem:
this is valid for FC4, FC5 and FC6

the taglib/taglib-devel rpm packages do not provide the libtag.a archive, so static builds against this library are not possible.

Version-Release number of selected component (if applicable):
taglib-devel-1.4-4.fc6, taglib-devel-1.4-2.fc5, taglib-devel-1.4-1.fc4

How reproducible:
Always


Steps to Reproduce:
just look at the contents of the taglib-devel package, libtag.a is not there
(assuming taglib and taglib-devel are installed):
rpm -ql taglib-devel | grep libtag.a

Actual Results:


Expected Results:


Additional info:
Comment 1 Aurelien Bompard 2006-10-31 03:56:16 EST
Static libraries are not included in Fedora, see 
http://fedoraproject.org/wiki/Packaging/Guidelines#StaticLibraries

Note You need to log in before you can comment on or make changes to this bug.